<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from Ctfrpage.sci using help_from_sci().
 * 
 -->

<refentry version="5.0-subset Scilab" xml:id="Ctfrpage" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 27-September-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>Ctfrpage</refname><refpurpose>Page time-frequency distribution.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [TFR,T,F]=Ctfrpage(X)
   [TFR,T,F]=Ctfrpage(X,T)
   [TFR,T,F]=Ctfrpage(X,T,N)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>X     :</term>
      <listitem><para> Analyzed signal.</para></listitem></varlistentry>
   <varlistentry><term>T     :</term>
      <listitem><para> time instant(s)          (default : 1:length(X)).</para></listitem></varlistentry>
   <varlistentry><term>N     :</term>
      <listitem><para> number of frequency bins (default : length(X)).</para></listitem></varlistentry>
   <varlistentry><term>TFR   :</term>
      <listitem><para> time-frequency representation.</para></listitem></varlistentry>
   <varlistentry><term>F     :</term>
      <listitem><para> vector of normalized frequencies.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
x = hilbert(sin(2*%pi*0.25*(1:128))+0.5*rand(1,128,'normal'));
t=1:128; [tfr,T,F]=Ctfrpage(x,t,128);
grayplot(T,F,tfr'); xlabel('time'); ylabel('frequency')
   ]]></programlisting>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Computes the Page distribution for a signal X.
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="Ctfrri">Ctfrri</link></member>
   <member><link linkend="Ctfrppage">Ctfrppage</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>H. Nahrstaedt - Sep 2010</member>
   <member>Emmanuel Roy - 2000</member>
   <member>Manuel Davy - 2000</member>
   </simplelist>
</refsection>
</refentry>
